|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTimeEdit Class Reference
[QtGui module]

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget. More...

     #include <QTimeEdit>

Inherits QDateTimeEdit.

- List of all members, including inherited members

### Properties

- time : QTime

- 16 properties inherited from QDateTimeEdit
- 11 properties inherited from QAbstractSpinBox
- 57 properties inherited from QWidget
- 1 property inherited from QObject

### Public Functions

- QTimeEdit ( QWidget * parent = 0 )
- QTimeEdit ( const QTime & time, QWidget * parent = 0 )

- 41 public functions inherited from QDateTimeEdit
- 24 public functions inherited from QAbstractSpinBox
- 207 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 3 public slots inherited from QDateTimeEdit
- 4 public slots inherited from QAbstractSpinBox
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QDateTimeEdit
- 1 signal inherited from QAbstractSpinBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 3 protected functions inherited from QDateTimeEdit
- 4 protected functions inherited from QAbstractSpinBox
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget.

Many of the properties and functions provided by QTimeEdit are implemented in QDateTimeEdit. The following properties are most relevant to users of this class:

- time holds the date displayed by the widget.
- minimumTime defines the minimum (earliest) time that can be set by the user.
- maximumTime defines the maximum (latest) time that can be set by the user.
- displayFormat contains a string that is used to format the time displayed in the widget.

| A time editing widget shown in the Windows XP widget style.
| A time editing widget shown in the Macintosh widget style.
| A time editing widget shown in the Plastique widget style.

See also QDateEdit and QDateTimeEdit.

## Property Documentation

### time : QTime

This property holds the QTime that is shown in the widget.

By default, this property contains a time of 00:00:00 and 0 milliseconds.

Access functions:

- QTime time () const
- void setTime ( const QTime & time )

## Member Function Documentation

### QTimeEdit::QTimeEdit ( QWidget * parent = 0 )

Constructs an empty time editor with a parent.

### QTimeEdit::QTimeEdit ( const QTime & time, QWidget * parent = 0 )

Constructs an empty time editor with a parent. The time is set to time.